function OnWarpEnter() 
	SetMarker("cs\\Warp_0015.wp" , 0 , 0) 
	
	SetMarker("cs\\Warp_0011.wp" , 0 , 0) 


	StartAnimationPart("cia1",0,30,-1,false)

	if not CoffreW221 then
		AnimationSetToStart("zya1")
	else
		AnimationSetToEnd("zya1")
	end
	
--------------------------------------------------------------------------- balcon
	StartAnimationPart("cxa1", 1, 2, -1, false)
	StartAnimationPart("cya1", 1, 2, -1, false)
	
--------------------------------------------------------------------------- Puzzle des planètes
	
	if PuzzlePlanetSolved then
		PutObject("zwa1",false)
	end

--------------------------------------------------------------------------- Machine révolution
	if not OpenMachineW21 then
		AnimationSetToStart("zma1",false)
	elseif OpenMachineW21 then
		AnimationSetToEnd("zma1",false)
	end

--DAY3
	if ETAT_DAY == "D3" then 
		if not DESK_COVER_MOVED then
			-- couvercle coffre
			AnimationSetToStart("cpa1",false)
			StartAnimationPart("cba1",1,2,-1,false)
		else
			StartAnimationPart("cba1", 2, 3,-1,false)
			if not COFFRET_OPENED  then
				-- couvercle coffre
				AnimationSetToStart("cpa1",false)
				if not NOTE_TAKEN_0017_D3 then
					PutObject("cja1",true)
				end
			else
				-- couvercle coffre
				StartAnimationPart("cpa1",14,15,-1,false)
			end
		end
		SetMarker("cs\\Warp_0021.wp" , 0 , 0) 
	end 

--DAY4
	if ETAT_DAY == "D4" then 
		Observatory_Open = true
		-- drap sur le coffre de César
		AnimationSetToStart("cba1")
		SetMarker("cs\\Warp_0021.wp" , 0 , 0) 
		if not DESK_COVER_MOVED then
			-- couvercle coffre
			AnimationSetToStart("cpa1",false)
			StartAnimationPart("cba1",0,1,-1,false)
		else
			StartAnimationPart("cba1", 29, 30,-1,false)
			if not COFFRET_OPENED  then
				-- couvercle coffre
				AnimationSetToStart("cpa1",false)
				if not NOTE_TAKEN_0017_D3 then
					PutObject("cja1",true)
				end
			else
				-- couvercle coffre
				StartAnimationPart("cpa1",14,15,-1,false)
			end
		end
	end
end

function OnWarpLeave()
end

function OnDialogFinished(dialogName)

	if dialogName == "Ma1962" then
		SetMarker("bwa1",4,0)
	end
end


function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0015.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0021.wp" then
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0011.wp" then 
		ChangeWarp(objectName)
	end
end
